# FaSTGLETree

Simple christmas tree from 2 PCBs with pseudo-random blinkenlights. Soldering workshop subject.

# Features / Function

- CR2023 coin cell for power
- 1-pos SMD dip switch for on/off
- button for manual shifting
- 3 pin header with jumper for switching between timer and button for shifting
- All ICs are low voltage (down to 2V / 2.5V) variants
  - 555 Timer set at ~.5Hz
  - SIPO 8 bit shift register for patterns
  - Pattern scrambling with 2x4 NAND gates
  - Feedback from 2 NANDs into shift register
- 16 SMD LEDs connected to shift register and NAND outputs
- 1 yellow THT LED always-on on top
  - Transparently 3D-printable star cap

# Cost

~10€ BOM @ 30pcs

# Licensing

Licensed under CERN OHL, see LICENSE.txt
